Compare commits

...

2 Commits

Author SHA1 Message Date
DanyLE
387f85c15d feat(ci): use git tea action instead of Jenkins 2024-07-27 00:16:50 +02:00
DanyLE
0fcf2fc2ab feat(ulib): sqlite database file is created with mode 0600 by default 2024-07-27 00:15:40 +02:00
5 changed files with 590 additions and 537 deletions

93
.gitea/workflows/ci.yml Normal file
View File

@ -0,0 +1,93 @@
name: AntOS pipeline
run-name: Building AntOS binaries
on: [push]
jobs:
build-amd64:
uses: git.iohub.dev/dany/actions/autotools-cross.yml@master
with:
platform: amd64
build-arm64:
uses: git.iohub.dev/dany/actions/autotools-cross.yml@master
with:
platform: arm64
build-arm:
uses: git.iohub.dev/dany/actions/autotools-cross.yml@master
with:
platform: arm
publish-doc-on-tag:
runs-on: act-runner
if: gitea.event_name == 'push' && contains(gitea.ref, 'refs/tags/')
needs:
container:
image: iohubdev/ci-tools:latest
volumes:
- /opt/public/antos-release/:/public/
steps:
- name: Check out repository code
uses: actions/checkout@v4
- name: Update submodule
run: git submodule update --init
- run: mkdir -p build
- name: Build and publish doc and SDK
run: |
make frontend
DOCDIR=/public/doc/ make doc
SDKDIR=/public/sdk/ make sdk
publish-package-on-tag:
runs-on: act-runner
if: gitea.event_name == 'push' && contains(gitea.ref, 'refs/tags/')
needs: [build-amd64, build-arm64, build-arm]
container:
image: catthehacker/ubuntu:act-latest
steps:
- name: Check out repository code
uses: actions/checkout@v4
- run: mkdir -p build
- name: get build-amd64 artifacts
uses: actions/download-artifact@master
with:
name: build-amd64
path: build
- name: get build-arm64 artifacts
uses: actions/download-artifact@master
with:
name: build-arm64
path: build
- name: get build-arm artifacts
uses: actions/download-artifact@master
with:
name: build-arm
path: build
- name: Set up QEMU
uses: docker/setup-qemu-action@master
- name: Set up Docker Buildx
uses: docker/setup-buildx-action@master
- name: Login to DockerHub
uses: docker/login-action@master
with:
username: ${{ secrets.DOCKER_USERNAME }}
password: ${{ secrets.DOCKER_PAT }}
- name: Env
run: |
printenv
docker info
ls . -al
ls build/ -al
- name: Build and push docker image
run: |
PKG_VERSION="${{ gitea.ref_name }}"
DOCKER_TAG=$PKG_VERSION DOCKER_IMAGE=iohubdev/antos make docker
- name: Publish packages
run: |
rm build/*/opt/ -rf
files=$(find ./build -type f)
PKG_VERSION="${{ gitea.ref_name }}"
URL="https://git.iohub.dev/api/packages/dany/generic/antos/$PKG_VERSION"
curl --request "DELETE" --header "Authorization: token ${{ secrets.GT_API_PAT }}" $URL/ || true
for file in $files; do
curl --header "Authorization: token ${{ secrets.GT_API_PAT }}" --upload-file $file $URL/$(basename $file)
done

98
Jenkinsfile vendored
View File

@ -1,98 +0,0 @@
def build_lib()
{
sh '''
set -e
cd $WORKSPACE
mkdir -p build/$arch/
[ -f Makefile ] && make clean
case $arch in
amd64|x86_64)
HOST=
;;
aarch64|arm64)
HOST=--host=aarch64-linux-gnu
;;
armv7l|arm)
HOST=--host=arm-linux-gnueabihf
;;
*)
echo "Unkown architecture"
exit 1
;;
esac
libtoolize
aclocal
autoconf
automake --add-missing
./configure $HOST --prefix=/usr
DESTDIR=$WORKSPACE/build/$arch make install
'''
}
pipeline{
agent {
docker {
image 'xsangle/ci-tools:latest'
reuseNode true
}
}
options {
// Limit build history with buildDiscarder option:
// daysToKeepStr: history is only kept up to this many days.
// numToKeepStr: only this many build logs are kept.
// artifactDaysToKeepStr: artifacts are only kept up to this many days.
// artifactNumToKeepStr: only this many builds have their artifacts kept.
buildDiscarder(logRotator(numToKeepStr: "1"))
// Enable timestamps in build log console
timestamps()
// Maximum time to run the whole pipeline before canceling it
timeout(time: 1, unit: 'HOURS')
// Use Jenkins ANSI Color Plugin for log console
ansiColor('xterm')
// Limit build concurrency to 1 per branch
disableConcurrentBuilds()
}
stages
{
stage('Prepare') {
steps {
sh'''
make clean || true
rm -rf build/* || true
mkdir build || true
'''
}
}
stage('Build AMD64') {
steps {
script{
env.arch = "amd64"
}
build_lib()
}
}
stage('Build ARM64') {
steps {
script{
env.arch = "arm64"
}
build_lib()
}
}
stage('Build ARM') {
steps {
script{
env.arch = "arm"
}
build_lib()
}
}
stage("Archive") {
steps{
script {
archiveArtifacts artifacts: 'build/', fingerprint: true, onlyIfSuccessful: true
}
}
}
}
}

View File

@ -1,5 +1,5 @@
# initialise autoconf and set up some basic information about the program were packaging
AC_INIT([silk], [0.2.0], [xsang.le@gmail.com])
AC_INIT([silk], [1.0.0], [xsang.le@gmail.com])
# Were going to use automake for this project
# [subdir-objects] if needed

File diff suppressed because it is too large Load Diff

View File

@ -1,5 +1,5 @@
sqlite = require("sqlitedb")
ulib = require("ulib")
if sqlite == nil then
return 0
end
@ -8,7 +8,14 @@ require("silk.core.OOP")
sqlite.getdb = function(name)
if name:find("%.db$") then
return sqlite.db(name)
local db = sqlite.db(name)
if db then
ret,err = ulib.chmod(name,"0600")
if not ret then
LOG_WARN("Unable to change mode of database file %s: %s", name, err)
end
end
return db
elseif name:find("/") then
LOG_ERROR("Invalid database name %s", name)
return nil
@ -20,7 +27,15 @@ sqlite.getdb = function(name)
return nil
end
end
return sqlite.db(__api__.dbpath .. "/" .. name .. ".db")
local path = __api__.dbpath .. "/" .. name .. ".db"
local db = sqlite.db(path)
if db then
local ret,err = ulib.chmod(path,"0600")
if not ret then
LOG_WARN("Unable to change mode of database file %s: %s", path)
end
end
return db
end
end